<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Tracker</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href = "{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href = "{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href = "{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href = "{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href = "{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                {% if project_object.tasks %}
                    <h1>{{ project_object.name }}</h1>
                    <p>{{ project_object.description }}</p>
                    <h2>Tasks</h2>
                    <p>
                        <a href = "{% url 'create_task' %}">Create a new task</a>
                    </p>
                {% endif %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for tasks in project_object.tasks.all %}
                            <tr>
                                <td>{{ tasks.name }}</td>
                                <td>{{ tasks.assignee }}</td>
                                <td>{{ tasks.start_date }}</td>
                                <td>{{ tasks.due_date }}</td>
                                <td>{{ tasks.is_completed|yesno:"yeah,no,maybe" }}</td>
                            </tr>
                        {% empty %}
                            <p>This project has no tasks</p>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
